HomeProduct DocsAPI ReferenceChangelog
RecurlyAPI GuidesRecurly.jsWebhooksAPI ReferenceSupportBook demo
API Reference

List Subscriptions

Returns a list of all the subscriptions.

Subscription Query States

statedescription
activeSubscriptions that are valid for the current time. This includes subscriptions in a trial period
canceledSubscriptions that are valid for the current time but will not renew because a cancelation was requested
pausedSubscriptions that are currently paused
expiredSubscriptions that have expired and are no longer valid
futureSubscriptions that will start in the future, they are not active yet
in_trialSubscriptions that are active or canceled and are in a trial period
liveAll subscriptions that are not expired
past_dueSubscriptions that are active or canceled and have a past-due invoice

Please note: a queried state and the base state of a returned subscription may differ. For example, querying for past_due subscriptions will not result in a list of subscriptions with a 'past_due' state (they will either be 'active' or 'canceled'). Only base states ('pending', 'active', 'canceled', 'expired', 'future') will be present in the returned subscription records.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The state of subscriptions to return: active, paused, canceled, expired, future, in_trial, live, or past_due. A subscription may belong to more than one state.

string

Splits records across pages. Leave blank to return the first page. Follow the URI in the first page's Link header to fetch the next page.

string
Defaults to created_at

The attribute that will be used to order records: created_at, updated_at.

string
Defaults to desc

The order in which products will be returned: asc for ascending order, desc for descending order.

date-time

Operates on the attribute specified by the sort parameter. Filters records to only include those with datetimes greater than or equal to the supplied datetime. Accepts an ISO 8601 date or date and time.

date-time

Operates on the attribute specified by the sort parameter. Filters records to only include those with datetimes less than or equal to the supplied datetime. Accepts an ISO 8601 date or date and time.

integer
Defaults to 50

Number of records to return per page, up to a maximum of 200.

Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/xml